MP4(3)

NAME

MP4GetSampleSize - Get the size of a track sample

SYNTAX

#include <mp4.h>

u_int32_t MP4GetSampleSize(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

sampleId
    Specifies the sample to which the operation applies. Caveat: the first sample has id 1 not 0.

RETURN VALUES

Upon success, the sample size in bytes. Upon an error, 0.

DESCRIPTION

MP4GetSampleSize returns the size in bytes of the specified sample from the specified track.

SEE ALSO

MP4(3)